Ask Your Question

Revision history [back]

This is not a problem with moveit_simple_grasps:

[..]
In file included from /home/zakizadeh/catkin_ws2/src/moveit_visual_tools/include/moveit_visual_tools/moveit_visual_tools.h:44:0,
[..]

This looks like you're trying to compile a C++11 version of moveit_simple_grasps on an OS that doesn't have a compiler that supports that.

If you are on Jade, make sure you are not trying to compile the kinetic-devel branch of davetcoleman/moveit_visual_tools.

Note btw that moveit_visual_tools has been released for Jade (see status_page/ros_jade_default.html?q=visual_tools), no need to build that all from source. Just sudo apt-get install ros-jade-moveit-visual-tools.

This is not a problem with moveit_simple_grasps:

[..]
In file included from /home/zakizadeh/catkin_ws2/src/moveit_visual_tools/include/moveit_visual_tools/moveit_visual_tools.h:44:0,
[..]

This looks like you're trying to compile a C++11 version of moveit_simple_graspsmoveit_visual_tools on an OS that doesn't have a compiler that supports that.

If you are on Jade, make sure you are not trying to compile the kinetic-devel branch of davetcoleman/moveit_visual_tools.

Note btw that moveit_visual_tools has been released for Jade (see status_page/ros_jade_default.html?q=visual_tools), no need to build that all from source. Just sudo apt-get install ros-jade-moveit-visual-tools.